"""
Identifier:     mci_sim/tests/test_earthshine.py
Name:           test_earthshine.py
Description:    Test earthshine sim.
Author:         Zhaojun Yan
Created:        2024-04-09
Modified-History:
    2024-04-09, Zhaojun Yan, created

"""

import unittest
import os
import sys
import faulthandler
from csst_mci_sim import earthshine as eth


class TestDemoFunction(unittest.TestCase):
    def test_earthshine(self):
        """
        Aim
        ---
        Test earthshine sim function: .

        Criteria
        --------
        Pass if the demo function returns `1`.

        Details
        -------
        The demo function returns the length of the input argument list.
        This case aims to test whether the demo function returns `1` if input is `None`.
        """
        faulthandler.enable()

        # demo function test
        dir_path = os.path.join(os.environ['UNIT_TEST_DATA_ROOT'], 'mci_sim/')
        print(dir_path)

        # 获取当前工作目录
        # current_path = os.getcwd()
        # print("当前路径:", current_path)

        time_jd = 2460417.59979167
        x_sat = -4722.543136
        y_sat = -1478.219213
        z_sat = 4595.402769
        ra = 116.18081536720157
        dec = 39.42316681016602
        earthshine0 = eth.earthshine(
            dir_path, time_jd, x_sat, y_sat, z_sat, ra, dec)

        self.assertEqual(
            1, 1,
            "case 1: test_earthshine passes.",
        )
    #############################################
